import request from '@/utils/request'

/**
 * 脱敏策略日志 - 查询用户列表
 * @param {*} data 
 * @returns 
 */
export function queryUser(data) {
  return request({
    url: '/aop/encryptlog/queryUserlist',
    method: 'post',
    data: data
  })
}

/**
 * 脱敏策略日志 - 查询列表数据
 * @param {*} data 
 * @returns 
 */
export function queryDesensitizationStrategyLog(data) {
  return request({
    url: '/aop/DesensitizationStrategyLog/queryDesensitizationStrategyLog',
    method: 'post',
    data: data
  })
}

/**
 * 脱敏策略日志 - 校验数据
 * @param {*} data 
 * @returns 
 */
export function checkEnc(data) {
  return request({
    url: '/aop/DesensitizationStrategyLog/checkEnc',
    method: 'post',
    data: data
  })
}

/**
 * 脱敏策略日志 - 导出下载
 * @param {*} data 
 * @returns 
 */
export function getdesensitizationStrategyLog(data) {
  return request({
    url: '/aop/DesensitizationStrategyLog/getdesensitizationStrategyLog',
    method: 'post',
    data: data,
    responseType: 'blob'
  })
}